Open CASCADE Technology: Geom2dHatch_Hatcher Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Protected Member Functions
Geom2dHatch_Hatcher Class Reference

`#include <Geom2dHatch_Hatcher.hxx>`

Inheritance diagram for Geom2dHatch_Hatcher:
[legend]

## Public Member Functions
| Geom2dHatch_Hatcher (const Geom2dHatch_Intersector &Intersector, const Standard_Real Confusion2d, const Standard_Real Confusion3d, const Standard_Boolean KeepPnt=Standard_False, const Standard_Boolean KeepSeg=Standard_False)
| Returns an empty hatcher. More...
void | Intersector (const Geom2dHatch_Intersector &Intersector)
| Sets the associated intersector. More...
const Geom2dHatch_Intersector & | Intersector ()
| Returns the associated intersector. More...
Geom2dHatch_Intersector & | ChangeIntersector ()
| Returns the associated intersector. More...
void | Confusion2d (const Standard_Real Confusion)
| Sets the confusion tolerance. More...
Standard_Real | Confusion2d () const
| Returns the 2d confusion tolerance, i.e. the value under which two points are considered identical in the parametric space of the hatching. More...
void | Confusion3d (const Standard_Real Confusion)
| Sets the confusion tolerance. More...
Standard_Real | Confusion3d () const
| Returns the 3d confusion tolerance, i.e. the value under which two points are considered identical in the 3d space of the hatching. More...
void | KeepPoints (const Standard_Boolean Keep)
| Sets the above flag. More...
Standard_Boolean | KeepPoints () const
| Returns the flag about the points consideration. More...
void | KeepSegments (const Standard_Boolean Keep)
| Sets the above flag. More...
Standard_Boolean | KeepSegments () const
| Returns the flag about the segments consideration. More...
void | Clear ()
| Removes all the hatchings and all the elements. More...
const Geom2dAdaptor_Curve & | ElementCurve (const Standard_Integer IndE) const
| Returns the curve associated to the IndE-th element. More...
Standard_Integer | AddElement (const Geom2dAdaptor_Curve &Curve, const TopAbs_Orientation Orientation=TopAbs_FORWARD)
| Adds an element to the hatcher and returns its index. More...
void | RemElement (const Standard_Integer IndE)
| Removes the IndE-th element from the hatcher. More...
void | ClrElements ()
| Removes all the elements from the hatcher. More...
const Geom2dAdaptor_Curve & | HatchingCurve (const Standard_Integer IndH) const
| Returns the curve associated to the IndH-th hatching. More...
Standard_Integer | AddHatching (const Geom2dAdaptor_Curve &Curve)
| Adds a hatching to the hatcher and returns its index. More...
void | RemHatching (const Standard_Integer IndH)
| Removes the IndH-th hatching from the hatcher. More...
void | ClrHatchings ()
| Removes all the hatchings from the hatcher. More...
Standard_Integer | NbPoints (const Standard_Integer IndH) const
| Returns the number of intersection points of the IndH-th hatching. More...
const HatchGen_PointOnHatching & | Point (const Standard_Integer IndH, const Standard_Integer IndP) const
| Returns the IndP-th intersection point of the IndH-th hatching. More...
void | Trim ()
| Trims all the hatchings of the hatcher by all the elements of the hatcher. More...
Standard_Integer | Trim (const Geom2dAdaptor_Curve &Curve)
| Adds a hatching to the hatcher and trims it by the elements already given and returns its index. More...
void | Trim (const Standard_Integer IndH)
| Trims the IndH-th hatching by the elements already given. More...
void | ComputeDomains ()
| Computes the domains of all the hatchings. More...
void | ComputeDomains (const Standard_Integer IndH)
| Computes the domains of the IndH-th hatching. More...
Standard_Boolean | TrimDone (const Standard_Integer IndH) const
| Returns the fact that the intersections were computed for the IndH-th hatching. More...
Standard_Boolean | TrimFailed (const Standard_Integer IndH) const
| Returns the fact that the intersections failed for the IndH-th hatching. More...
Standard_Boolean | IsDone () const
| Returns the fact that the domains were computed for all the hatchings. More...
Standard_Boolean | IsDone (const Standard_Integer IndH) const
| Returns the fact that the domains were computed for the IndH-th hatching. More...
HatchGen_ErrorStatus | Status (const Standard_Integer IndH) const
| Returns the status about the IndH-th hatching. More...
Standard_Integer | NbDomains (const Standard_Integer IndH) const
| Returns the number of domains of the IndH-th hatching. Only ONE "INFINITE" domain means that the hatching is fully included in the contour defined by the elements. More...
const HatchGen_Domain & | Domain (const Standard_Integer IndH, const Standard_Integer IDom) const
| Returns the IDom-th domain of the IndH-th hatching. More...
void | Dump () const
| Dump the hatcher. More...

## Protected Member Functions
Geom2dHatch_Element & | Element (const Standard_Integer IndE)
| Returns the IndE-th element. More...
Geom2dHatch_Hatching & | Hatching (const Standard_Integer IndH)
| Returns the IndH-th hatching. More...

## Constructor & Destructor Documentation

Geom2dHatch_Hatcher::Geom2dHatch_Hatcher | ( | const Geom2dHatch_Intersector & | Intersector,
|  | const Standard_Real | Confusion2d,
|  | const Standard_Real | Confusion3d,
|  | const Standard_Boolean | KeepPnt = `Standard_False`,
|  | const Standard_Boolean | KeepSeg = `Standard_False`
| ) |  |

Returns an empty hatcher.

## Member Function Documentation

Standard_Integer Geom2dHatch_Hatcher::AddElement | ( | const Geom2dAdaptor_Curve & | Curve,
|  | const TopAbs_Orientation | Orientation = `TopAbs_FORWARD`
| ) |  |

Adds an element to the hatcher and returns its index.

Standard_Integer Geom2dHatch_Hatcher::AddHatching | ( | const Geom2dAdaptor_Curve & | Curve | ) |

Adds a hatching to the hatcher and returns its index.

Geom2dHatch_Intersector& Geom2dHatch_Hatcher::ChangeIntersector | ( |  | ) |

Returns the associated intersector.

void Geom2dHatch_Hatcher::Clear | ( |  | ) |

Removes all the hatchings and all the elements.

void Geom2dHatch_Hatcher::ClrElements | ( |  | ) |

Removes all the elements from the hatcher.

void Geom2dHatch_Hatcher::ClrHatchings | ( |  | ) |

Removes all the hatchings from the hatcher.

void Geom2dHatch_Hatcher::ComputeDomains | ( |  | ) |

Computes the domains of all the hatchings.

void Geom2dHatch_Hatcher::ComputeDomains | ( | const Standard_Integer | IndH | ) |

Computes the domains of the IndH-th hatching.

void Geom2dHatch_Hatcher::Confusion2d | ( | const Standard_Real | Confusion | ) |

Sets the confusion tolerance.

Standard_Real Geom2dHatch_Hatcher::Confusion2d | ( |  | ) | const

Returns the 2d confusion tolerance, i.e. the value under which two points are considered identical in the parametric space of the hatching.

void Geom2dHatch_Hatcher::Confusion3d | ( | const Standard_Real | Confusion | ) |

Sets the confusion tolerance.

Standard_Real Geom2dHatch_Hatcher::Confusion3d | ( |  | ) | const

Returns the 3d confusion tolerance, i.e. the value under which two points are considered identical in the 3d space of the hatching.

const HatchGen_Domain& Geom2dHatch_Hatcher::Domain | ( | const Standard_Integer | IndH,
|  | const Standard_Integer | IDom
| ) |  | const

Returns the IDom-th domain of the IndH-th hatching.

void Geom2dHatch_Hatcher::Dump | ( |  | ) | const

Dump the hatcher.

Geom2dHatch_Element& Geom2dHatch_Hatcher::Element | ( | const Standard_Integer | IndE | ) |
| protected

Returns the IndE-th element.

const Geom2dAdaptor_Curve& Geom2dHatch_Hatcher::ElementCurve | ( | const Standard_Integer | IndE | ) | const

Returns the curve associated to the IndE-th element.

Geom2dHatch_Hatching& Geom2dHatch_Hatcher::Hatching | ( | const Standard_Integer | IndH | ) |
| protected

Returns the IndH-th hatching.

const Geom2dAdaptor_Curve& Geom2dHatch_Hatcher::HatchingCurve | ( | const Standard_Integer | IndH | ) | const

Returns the curve associated to the IndH-th hatching.

void Geom2dHatch_Hatcher::Intersector | ( | const Geom2dHatch_Intersector & | Intersector | ) |

Sets the associated intersector.

const Geom2dHatch_Intersector& Geom2dHatch_Hatcher::Intersector | ( |  | ) |

Returns the associated intersector.

Standard_Boolean Geom2dHatch_Hatcher::IsDone | ( |  | ) | const

Returns the fact that the domains were computed for all the hatchings.

Standard_Boolean Geom2dHatch_Hatcher::IsDone | ( | const Standard_Integer | IndH | ) | const

Returns the fact that the domains were computed for the IndH-th hatching.

void Geom2dHatch_Hatcher::KeepPoints | ( | const Standard_Boolean | Keep | ) |

Sets the above flag.

Standard_Boolean Geom2dHatch_Hatcher::KeepPoints | ( |  | ) | const

Returns the flag about the points consideration.

void Geom2dHatch_Hatcher::KeepSegments | ( | const Standard_Boolean | Keep | ) |

Sets the above flag.

Standard_Boolean Geom2dHatch_Hatcher::KeepSegments | ( |  | ) | const

Returns the flag about the segments consideration.

Standard_Integer Geom2dHatch_Hatcher::NbDomains | ( | const Standard_Integer | IndH | ) | const

Returns the number of domains of the IndH-th hatching. Only ONE "INFINITE" domain means that the hatching is fully included in the contour defined by the elements.

Standard_Integer Geom2dHatch_Hatcher::NbPoints | ( | const Standard_Integer | IndH | ) | const

Returns the number of intersection points of the IndH-th hatching.

const HatchGen_PointOnHatching& Geom2dHatch_Hatcher::Point | ( | const Standard_Integer | IndH,
|  | const Standard_Integer | IndP
| ) |  | const

Returns the IndP-th intersection point of the IndH-th hatching.

void Geom2dHatch_Hatcher::RemElement | ( | const Standard_Integer | IndE | ) |

Removes the IndE-th element from the hatcher.

void Geom2dHatch_Hatcher::RemHatching | ( | const Standard_Integer | IndH | ) |

Removes the IndH-th hatching from the hatcher.

HatchGen_ErrorStatus Geom2dHatch_Hatcher::Status | ( | const Standard_Integer | IndH | ) | const

Returns the status about the IndH-th hatching.

void Geom2dHatch_Hatcher::Trim | ( |  | ) |

Trims all the hatchings of the hatcher by all the elements of the hatcher.

Standard_Integer Geom2dHatch_Hatcher::Trim | ( | const Geom2dAdaptor_Curve & | Curve | ) |

Adds a hatching to the hatcher and trims it by the elements already given and returns its index.

void Geom2dHatch_Hatcher::Trim | ( | const Standard_Integer | IndH | ) |

Trims the IndH-th hatching by the elements already given.

Standard_Boolean Geom2dHatch_Hatcher::TrimDone | ( | const Standard_Integer | IndH | ) | const

Returns the fact that the intersections were computed for the IndH-th hatching.

Standard_Boolean Geom2dHatch_Hatcher::TrimFailed | ( | const Standard_Integer | IndH | ) | const

Returns the fact that the intersections failed for the IndH-th hatching.

The documentation for this class was generated from the following file:

- Geom2dHatch_Hatcher.hxx